Page MenuHomePhabricator

Check recentchanges table and query errors on wikis other than commonswiki and ruwiki
Closed, ResolvedPublic

Description

Most issues from T171027 were fixed. We need to check if there are other smaller, less traffic wikis affected by:

  • Checking the size of recentchanges and its proportion of wb changes
  • Checking the number or rc-related errors (including watchslist)

As mentioned on T171027, cawiki, frwiki, rowiki and maybe some s3 projects are probably good candidates to check, but we should test wikis as extensively as possible.

Pending to be optimized:

  • bgwiki s2
  • itwiki s2
  • svwiki s2
  • zhwiki s2
  • bewiki s3
  • cewiki s3
  • dawiki s3
  • hywiki s3
  • ttwiki s3
  • frwiki s6
  • arwiki s7
  • cawiki s7
  • huwiki s7
  • rowiki s7
  • ukwiki s7

Event Timeline

jcrespo created this task.Oct 16 2017, 1:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2017, 1:06 PM
jcrespo triaged this task as Normal priority.Oct 16 2017, 1:06 PM
jcrespo moved this task from Triage to In progress on the DBA board.
shard=s1; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock -e "SHOW DATABASES like '%wik%'" | while read db; do echo "$db: "; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock $db -e "SELECT count(*) FROM recentchanges; SELECT count(*) FROM recentchanges WHERE rc_source='wb'"; done 
enwiki: 
8778688
1772793
shard=s2; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock -e "SHOW DATABASES like '%wik%'" | while read db; do echo "$db: "; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock $db -e "SELECT count(*) FROM recentchanges; SELECT count(*) FROM recentchanges WHERE rc_source='wb'"; done
bgwiki: 
2476078
2329641
bgwiktionary: 
8180
0
cswiki: 
503541
272312
enwikiquote: 
18646
7687
enwiktionary: 
548121
13696
eowiki: 
753386
732600
fiwiki: 
290268
205158
idwiki: 
209278
96606
itwiki: 
13939753
12983901
nlwiki: 
1317788
993447
nowiki: 
1968157
1818857
plwiki: 
923016
596180
ptwiki: 
764087
338408
svwiki: 
28505009
27838917
thwiki: 
105082
46155
trwiki: 
354549
144640
zhwiki: 
3917262
3412735

1aawiki:
20
30
4aawikibooks:
50
60
7aawiktionary:
80
90
10abwiki:
114482
122373
13abwiktionary:
140
150
16acewiki:
174819
184547
19advisorywiki:
200
210
22adywiki:
23544
24409
25affcomwiki:
26afwiki:
2732357
2824617
29afwikibooks:
3021
3118
32afwikiquote:
33129
34126
35afwiktionary:
364246
370
38akwiki:
39367
40346
41akwikibooks:
420
430
44akwiktionary:
450
460
47alswiki:
4819134
4916410
50alswikibooks:
510
520
53alswikiquote:
540
550
56alswiktionary:
570
580
59amwiki:
604760
613896
62amwikimedia:
6324
640
65amwikiquote:
660
670
68amwiktionary:
697
700
71angwiki:
722835
732630
74angwikibooks:
751
760
77angwikiquote:
780
790
80angwikisource:
810
820
83angwiktionary:
8413
850
86anwiki:
8712672
8811295
89anwiktionary:
908
910
92arbcom_cswiki:
930
940
95arbcom_dewiki:
96281
970
98arbcom_enwiki:
99150
1000
101arbcom_fiwiki:
102156
1030
104arbcom_nlwiki:
105293
1060
107arcwiki:
1081357
1091316
110arwikibooks:
111951
112325
113arwikimedia:
1141
1150
116arwikinews:
1173425
118814
119arwikiquote:
1205604
1213275
122arwikisource:
1233231
1241284
125arwikiversity:
126622
127307
128arwiktionary:
129541
1300
131arzwiki:
13218926
1339636
134astwiki:
135127418
13670628
137astwikibooks:
1380
1390
140astwikiquote:
1410
1420
143astwiktionary:
14420
1450
146aswiki:
1474362
1483548
149aswikibooks:
1500
1510
152aswikisource:
15348
15421
155aswiktionary:
1560
1570
158atjwiki:
159470
160261
161auditcomwiki:
1620
1630
164avwiki:
16522177
16622085
167avwiktionary:
1680
1690
170aywiki:
1711821
1721677
173aywikibooks:
1740
1750
176aywiktionary:
1779
1780
179azbwiki:
18013642
1819993
182azwiki:
183144113
18497099
185azwikibooks:
1861331
1871103
188azwikiquote:
1891497
1901035
191azwikisource:
1922608
1931374
194azwiktionary:
1952091
1960
197barwiki:
19813461
1999582
200bat_smgwiki:
2014092
2023870
203bawiki:
204602415
205593274
206bawikibooks:
2074244
20814
209bawiktionary:
2102283
211bclwiki:
2123212
2132511
214bdwikimedia:
215245
2160
217be_x_oldwiki:
218386213
219376116
220betawikiversity:
2214144
2220
223bewiki:
2245420859
2255212719
226bewikibooks:
22796
22887
229bewikimedia:
23079
2310
232bewikiquote:
233525
234417
235bewikisource:
236384
237235
238bewiktionary:
23933
2400
241bgwikibooks:
242130
24350
244bgwikinews:
245131
246127
247bgwikiquote:
24814997
2491105
250bgwikisource:
25114012
252101
253bhwiki:
25410862
2558213
256bhwiktionary:
2570
2580
259biwiki:
2601740
261947
262biwikibooks:
2630
2640
265biwiktionary:
2660
2670
268bjnwiki:
2691728
2701342
271bmwiki:
272474
273463
274bmwikibooks:
2750
2760
277bmwikiquote:
2780
2790
280bmwiktionary:
2810
2820
283bnwiki:
28482323
28536455
286bnwikibooks:
287262
288100
289bnwikisource:
29016237
2911843
292bnwiktionary:
2931062
2940
295boardgovcomwiki:
2960
2970
298boardwiki:
29952
3000
301bowiki:
3022489
3032422
304bowikibooks:
3050
3060
307bowiktionary:
3080
3090
310bpywiki:
3113916
3123701
313brwiki:
31427272
31523614
316brwikimedia:
31784
3180
319brwikiquote:
32079
32152
322brwikisource:
3232566
324348
325brwiktionary:
3261818
3270
328bswiki:
32956059
33026003
331bswikibooks:
33226
33322
334bswikinews:
3351151
3361142
337bswikiquote:
3381170
3391065
340bswikisource:
341320
342153
343bswiktionary:
34429
3450
346bugwiki:
3471270
348892
349bxrwiki:
35020363
35119620
352cawikibooks:
353344
354240
355cawikimedia:
356394
3570
358cawikinews:
3594696
3601219
361cawikiquote:
36210127
3638387
364cawikisource:
3651302
3661144
367cawiktionary:
36821802
3690
370cbk_zamwiki:
3711226
3721067
373cdowiki:
3747436
3756027
376cebwiki:
3772019811
3781272675
379cewiki:
38011415535
38110530079
382chairwiki:
3830
3840
385chapcomwiki:
38621
3870
388checkuserwiki:
389397
3900
391chowiki:
3921
3930
394chrwiki:
3951710
3961145
397chrwiktionary:
39815
3990
400chwiki:
401504
402479
403chwikibooks:
4040
4050
406chwikimedia:
4070
408chwiktionary:
4090
4100
411chywiki:
412790
413772
414ckbwiki:
41519078
41614469
417closed_zh_twwiki:
4180
419cnwikimedia:
4200
4210
422collabwiki:
423453
4240
425comcomwiki:
4262271
427cowiki:
4283066
4292847
430cowikibooks:
4310
4320
433cowikimedia:
43435
4350
436cowikiquote:
4370
4380
439cowiktionary:
44021
4410
442crhwiki:
44328790
44428515
445crwiki:
446279
447244
448crwikiquote:
4490
4500
451crwiktionary:
4520
4530
454csbwiki:
4552074
4561965
457csbwiktionary:
4584
4590
460cswikibooks:
461352
462278
463cswikinews:
4641809
465714
466cswikiquote:
46713036
46812083
469cswikisource:
47010605
4711907
472cswikiversity:
4731812
474231
475cswiktionary:
47611466
4770
478cuwiki:
479883
480741
481cvwiki:
48213872
48311020
484cvwikibooks:
48536
48620
487cywiki:
488346122
48963530
490cywikibooks:
49136
49227
493cywikiquote:
494352
495347
496cywikisource:
49736
49833
499cywiktionary:
5009
5010
502dawiki:
5031057327
5041005491
505dawikibooks:
506171
507140
508dawikiquote:
509339
510282
511dawikisource:
512692
513540
514dawiktionary:
515797
5160
517de_labswikimedia:
5186
519devwikiinternal:
5203
521dewikibooks:
5223337
523334
524dewikinews:
5256541
5261906
527dewikiquote:
5282704
5292378
530dewikisource:
53124987
5325097
533dewikiversity:
5342710
535204
536dewikivoyage:
537314594
538309559
539dewiktionary:
54066319
5410
542dinwiki:
543304
544121
545diqwiki:
5468016
5475786
548dkwiki:
5490
550dkwikibooks:
5511750
552dkwikimedia:
55341
5540
555dkwiktionary:
5561753
557donatewiki:
55843
5590
560dsbwiki:
5613033
5622940
563dtywiki:
5642757
5651482
566dvwiki:
5671971
5681930
569dvwiktionary:
5703
5710
572dzwiki:
573510
574360
575dzwiktionary:
5760
5770
578ecwikimedia:
5790
5800
581eewiki:
582472
583451
584elwiki:
5851234600
5861176232
587elwikibooks:
588608
589123
590elwikinews:
5911135
5921021
593elwikiquote:
5941190
5951157
596elwikisource:
5972699
598943
599elwikiversity:
600246
601192
602elwikivoyage:
6034416
6044360
605elwiktionary:
6066417
6070
608emlwiki:
6093078
6102320
611en_labswikimedia:
6120
613enwikibooks:
61423077
6151449
616enwikinews:
61711173
6182057
619enwikisource:
62094272
62127610
622enwikiversity:
62317449
6241516
625enwikivoyage:
62668201
62731138
628eowikibooks:
629155
630120
631eowikinews:
6323907
633976
634eowikiquote:
6353441
6363408
637eowikisource:
638390
639293
640eowiktionary:
641892
6420
643eswikibooks:
6442159
645422
646eswikinews:
6478888
6482108
649eswikiquote:
6504573
6512673
652eswikisource:
6539050
6545098
655eswikiversity:
656979
657159
658eswikivoyage:
6596993
6606488
661eswiktionary:
6628408
6630
664etwiki:
66579038
66647965
667etwikibooks:
668184
66924
670etwikimedia:
67125
6720
673etwikiquote:
674242
675240
676etwikisource:
677171
67898
679etwiktionary:
6802361
6810
682euwiki:
683399988
684364615
685euwikibooks:
68648
68741
688euwikiquote:
689236
690220
691euwiktionary:
69246
6930
694execwiki:
6950
6960
697extwiki:
6982143
6992108
700fawikibooks:
701874
702275
703fawikinews:
704715
705657
706fawikiquote:
70710611
7082794
709fawikisource:
7101326
711361
712fawikivoyage:
71312179
71411840
715fawiktionary:
716340
7170
718fdcwiki:
71963
7200
721ffwiki:
722498
723409
724fiu_vrowiki:
7253365
7263201
727fiwikibooks:
7281824
7291354
730fiwikimedia:
731122
7320
733fiwikinews:
7341050
7351032
736fiwikiquote:
7374301
738892
739fiwikisource:
7401403
741342
742fiwikiversity:
743408
74427
745fiwikivoyage:
7466900
7476605
748fiwiktionary:
74910666
7500
751fjwiki:
752414
753403
754fjwiktionary:
7554
7560
757flaggedrevs_labswikimedia:
7580
759foundationwiki:
760184
7610
762fowiki:
76327384
76426972
765fowikisource:
76619
76717
768fowiktionary:
76926
7700
771frpwiki:
7722396
7732285
774frrwiki:
7757651
7763657
777frwikibooks:
7783303
779828
780frwikinews:
78113910
7829549
783frwikiquote:
7843374
7852909
786frwikisource:
787149334
78830641
789frwikiversity:
7905071
7911274
792frwikivoyage:
79317733
79413855
795furwiki:
7961758
7971680
798fywiki:
79923281
80014623
801fywikibooks:
80225
80321
804fywiktionary:
8054
8060
807gagwiki:
8081594
8091544
810ganwiki:
8113725
8123527
813gawiki:
81422792
81512444
816gawikibooks:
8170
8180
819gawikiquote:
8200
8210
822gawiktionary:
8236
8240
825gdwiki:
82612998
82712461
828gdwiktionary:
8292
8300
831glkwiki:
832399
833330
834glwiki:
835190141
836105617
837glwikibooks:
83879
83974
840glwikiquote:
8412027
8422023
843glwikisource:
844466
845275
846glwiktionary:
8476252
8480
849gnwiki:
8502244
8512116
852gnwikibooks:
8530
8540
855gnwiktionary:
8566
8570
858gomwiki:
859783
860729
861gotwiki:
862467
863398
864gotwikibooks:
8650
8660
867grantswiki:
8680
8690
870guwiki:
8719057
8725306
873guwikibooks:
8740
8750
876guwikiquote:
87740
87837
879guwikisource:
8801549
881115
882guwiktionary:
8839
8840
885gvwiki:
8864996
8874886
888gvwiktionary:
8893
8900
891hakwiki:
8925641
8935425
894hawiki:
8951958
8961327
897hawiktionary:
89813
8990
900hawwiki:
901897
902862
903hewikibooks:
904868
905253
906hewikinews:
907230
908221
909hewikiquote:
9102546
9111940
912hewikisource:
9135020
914628
915hewikivoyage:
91611988
9175894
918hewiktionary:
9193076
9200
921hifwiki:
9223436
9233301
924hiwiki:
92548897
92625489
927hiwikibooks:
928171
92994
930hiwikiquote:
931153
932144
933hiwikiversity:
934697
93554
936hiwikivoyage:
9371216
938347
939hiwiktionary:
94052
9410
942howiki:
9431
9440
945hrwiki:
94646112
94729119
948hrwikibooks:
949205
950131
951hrwikiquote:
952682
953567
954hrwikisource:
955249
956182
957hrwiktionary:
95855
9590
960hsbwiki:
9616939
9626499
963hsbwiktionary:
9642
9650
966htwiki:
96718551
96817721
969htwikisource:
9700
9710
972huwikibooks:
9737081
974213
975huwikinews:
9760
9770
978huwikiquote:
979926
980826
981huwikisource:
982946
983920
984huwiktionary:
98512448
9860
987hywiki:
98814599952
98914512620
990hywikibooks:
99157
99251
993hywikiquote:
9945543
9951073
996hywikisource:
9975377
99891
999hywiktionary:
1000114709
10010
1002hzwiki:
10031
10040
1005iawiki:
100641797
100740679
1008iawikibooks:
100926
101024
1011iawiktionary:
101215
10130
1014idwikibooks:
1015580
1016299
1017idwikiquote:
1018308
1019204
1020idwikisource:
1021482
1022272
1023idwiktionary:
10241298
10250
1026iegcomwiki:
10270
10280
1029iewiki:
10302101
10311932
1032iewikibooks:
10330
10340
1035iewiktionary:
10363
10370
1038igwiki:
10391556
10401435
1041iiwiki:
10420
10430
1044ikwiki:
1045733
1046718
1047ikwiktionary:
10480
10490
1050ilowiki:
105121887
105221381
1053ilwikimedia:
10540
10550
1056incubatorwiki:
105723874
10580
1059internalwiki:
10600
10610
1062iowiki:
106325107
106423354
1065iowiktionary:
10665382
10670
1068iswiki:
106926219
107022990
1071iswikibooks:
1072149
1073124
1074iswikiquote:
1075221
1076218
1077iswikisource:
1078172
1079152
1080iswiktionary:
1081287
10820
1083itwikibooks:
10841815
10851042
1086itwikinews:
10871901
10881132
1089itwikiquote:
109050736
109141497
1092itwikisource:
109384362
109455186
1095itwikiversity:
10967674
10971466
1098itwikivoyage:
109959155
110056396
1101itwiktionary:
110211300
11030
1104iuwiki:
1105493
1106466
1107iuwiktionary:
11084
11090
1110jamwiki:
11111297
11121276
1113jawikibooks:
11141058
1115456
1116jawikinews:
11171496
11181355
1119jawikiquote:
1120719
1121669
1122jawikisource:
11232813
11241015
1125jawikiversity:
1126207
1127154
1128jawiktionary:
112919007
11300
1131jbowiki:
11321370
11331323
1134jbowiktionary:
113521
11360
1137jvwiki:
113871141
113918049
1140jvwiktionary:
114134
11420
1143kaawiki:
11441452
11451419
1146kabwiki:
11471811
11481760
1149kawiki:
1150101164
115184777
1152kawikibooks:
1153118
115496
1155kawikiquote:
1156340
1157330
1158kawiktionary:
115927
11600
1161kbdwiki:
11623993
11633956
1164kbpwiki:
11651082
1166849
1167kgwiki:
11681033
11691008
1170kiwiki:
1171830
1172749
1173kjwiki:
11740
11750
1176kkwiki:
117736888
117827637
1179kkwikibooks:
118055
118146
1182kkwikiquote:
11830
11840
1185kkwiktionary:
1186114
11870
1188klwiki:
11891467
11901444
1191klwiktionary:
11922
11930
1194kmwiki:
11953892
11962642
1197kmwikibooks:
119823
119912
1200kmwiktionary:
120148
12020
1203knwiki:
120415025
12059888
1206knwikibooks:
12070
12080
1209knwikiquote:
121046
121123
1212knwikisource:
12133197
121413
1215knwiktionary:
121634
12170
1218koiwiki:
12192555
12202350
1221kowikibooks:
1222258
1223186
1224kowikinews:
1225505
1226461
1227kowikiquote:
1228815
1229788
1230kowikisource:
12312395
12321443
1233kowikiversity:
1234316
123576
1236kowiktionary:
123739961
12380
1239krcwiki:
12402271
12412200
1242krwiki:
12430
12440
1245krwikiquote:
12460
12470
1248kshwiki:
12491443
12501405
1251kswiki:
1252494
1253453
1254kswikibooks:
12550
12560
1257kswikiquote:
12580
12590
1260kswiktionary:
12612
12620
1263kuwiki:
126410711
12659150
1266kuwikibooks:
126715
12689
1269kuwikiquote:
1270181
1271149
1272kuwiktionary:
1273205086
12740
1275kvwiki:
12763728
12773570
1278kwwiki:
12792505
12802411
1281kwwikiquote:
12820
12830
1284kwwiktionary:
12853
12860
1287kywiki:
128868501
128917840
1290kywikibooks:
129110
12926
1293kywikiquote:
129412
129510
1296kywiktionary:
1297572
12980
1299ladwiki:
13007746
13016061
1302langcomwiki:
1303298
1304lawiki:
1305137085
1306128636
1307lawikibooks:
130843
130941
1310lawikiquote:
1311303
1312301
1313lawikisource:
1314579
1315257
1316lawiktionary:
13172660
13180
1319lbewiki:
13201117
13211028
1322lbwiki:
132393253
132481051
1325lbwikibooks:
13260
13270
1328lbwikiquote:
13290
13300
1331lbwiktionary:
1332374
13330
1334legalteamwiki:
133583
13360
1337lezwiki:
13382372
13392061
1340lgwiki:
1341489
1342472
1343lijwiki:
13441893
13451498
1346liquidthreads_labswikimedia:
13470
1348liwiki:
13495406
13504891
1351liwikibooks:
135267
135339
1354liwikiquote:
1355278
1356264
1357liwikisource:
135829
135915
1360liwiktionary:
136133
13620
1363lmowiki:
136423240
136521519
1366lnwiki:
13671867
13681825
1369lnwikibooks:
13700
13710
1372lnwiktionary:
137320
13740
1375loginwiki:
1376871
13770
1378lowiki:
13792370
13802161
1381lowiktionary:
138211
13830
1384lrcwiki:
13853014
13861652
1387ltgwiki:
1388656
1389643
1390ltwiki:
139158691
139241902
1393ltwikibooks:
1394124
1395103
1396ltwikiquote:
13971052
1398968
1399ltwikisource:
1400107
1401101
1402ltwiktionary:
1403292
14040
1405lvwiki:
1406102226
140786063
1408lvwikibooks:
14090
14100
1411lvwiktionary:
141235
14130
1414maiwiki:
14158591
14168123
1417maiwikimedia:
14180
14190
1420map_bmswiki:
14211997
14221918
1423mdfwiki:
142410861
142510775
1426mediawikiwiki:
142732922
1428525
1429mgwiki:
143032871
143131881
1432mgwikibooks:
143318
143415
1435mgwiktionary:
143617841
14370
1438mhrwiki:
143926864
144023049
1441mhwiki:
14421
14430
1444mhwiktionary:
14450
14460
1447minwiki:
14483147
14492281
1450miwiki:
14511372
14521326
1453miwikibooks:
14540
14550
1456miwiktionary:
1457187
14580
1459mkwiki:
146087724
146167648
1462mkwikibooks:
1463103
146491
1465mkwikimedia:
14661
14670
1468mkwikisource:
146987
147085
1471mkwiktionary:
147213
14730
1474mlwiki:
147540543
147630072
1477mlwikibooks:
147893
147984
1480mlwikiquote:
1481123
1482106
1483mlwikisource:
1484297
1485140
1486mlwiktionary:
148765
14880
1489mnwiki:
149022099
149114564
1492mnwikibooks:
14930
14940
1495mnwiktionary:
149637
14970
1498movementroleswiki:
14990
15000
1501mowiki:
15020
15030
1504mowiktionary:
15050
15060
1507mrjwiki:
150850083
150949791
1510mrwiki:
151126194
151217141
1513mrwikibooks:
151421
15159
1516mrwikiquote:
151717
151814
1519mrwikisource:
1520293
152118
1522mrwiktionary:
152336
15240
1525mswiki:
1526107143
152764839
1528mswikibooks:
152937
153035
1531mswiktionary:
1532222
15330
1534mtwiki:
15353223
15363083
1537mtwiktionary:
15383
15390
1540muswiki:
15410
15420
1543mwlwiki:
15443819
15453076
1546mxwikimedia:
15479
15480
1549myvwiki:
155086814
155184492
1552mywiki:
155312053
15548833
1555mywikibooks:
15560
15570
1558mywiktionary:
155922136
15600
1561mznwiki:
15625102
15634145
1564nahwiki:
15653937
15663423
1567nahwikibooks:
15680
15690
1570nahwiktionary:
15713
15720
1573napwiki:
157417064
157516916
1576nawiki:
15771037
15781018
1579nawikibooks:
15800
15810
1582nawikiquote:
15830
15840
1585nawiktionary:
15867
15870
1588nds_nlwiki:
15893444
15902781
1591ndswiki:
159212731
159310889
1594ndswikibooks:
15950
15960
1597ndswikiquote:
15980
15990
1600ndswiktionary:
1601449
16020
1603newiki:
160414040
16059041
1606newikibooks:
160721
160817
1609newiktionary:
161062
16110
1612newwiki:
16137808
16147760
1615ngwiki:
16160
16170
1618nlwikibooks:
16192047
1620516
1621nlwikimedia:
1622260
16230
1624nlwikinews:
16259423
16263154
1627nlwikiquote:
16282738
16292633
1630nlwikisource:
16311808
1632309
1633nlwikivoyage:
16349335
16358807
1636nlwiktionary:
163740108
16380
1639nnwiki:
1640115623
1641100750
1642nnwikiquote:
1643767
1644765
1645nnwiktionary:
164618
16470
1648noboard_chapterswikimedia:
16490
16500
1651noboardwiki:
16521
1653nostalgiawiki:
16540
16550
1656novwiki:
16571623
16581556
1659nowikibooks:
1660137
1661122
1662nowikimedia:
1663331
16640
1665nowikinews:
1666385
1667367
1668nowikiquote:
1669507
1670451
1671nowikisource:
1672342
1673308
1674nowiktionary:
16752113
16760
1677nrmwiki:
16781714
16791692
1680nsowiki:
16811784
16821749
1683nvwiki:
16842681
16851385
1686nycwikimedia:
16872
16880
1689nywiki:
1690548
1691519
1692nzwikimedia:
16930
16940
1695ocwiki:
169679773
169777665
1698ocwikibooks:
169931
170029
1701ocwiktionary:
17025990
17030
1704officewiki:
17052457
17060
1707olowiki:
170848526
170947364
1710ombudsmenwiki:
1711121
17120
1713omwiki:
1714601
1715536
1716omwiktionary:
17172
17180
1719orwiki:
172013427
172110703
1722orwikisource:
1723764
1724167
1725orwiktionary:
172618
17270
1728oswiki:
17295410
17305257
1731otrs_wikiwiki:
1732702
17330
1734outreachwiki:
17353007
17360
1737pa_uswikimedia:
17380
17390
1740pagwiki:
1741874
1742863
1743pamwiki:
17444576
17454299
1746papwiki:
17471432
17481322
1749pawiki:
175018127
175111797
1752pawikibooks:
175324
175422
1755pawikisource:
175666
17574
1758pawiktionary:
17593093
17600
1761pcdwiki:
17622326
17632184
1764pdcwiki:
17651038
17661004
1767pflwiki:
17681174
17691132
1770pihwiki:
17711223
17721163
1773piwiki:
1774657
1775642
1776piwiktionary:
17770
17780
1779plwikibooks:
17801172
1781285
1782plwikimedia:
1783380
17840
1785plwikinews:
1786959
1787841
1788plwikiquote:
17897868
17906552
1791plwikisource:
179237029
17932595
1794plwikivoyage:
179511598
179610146
1797plwiktionary:
179833701
17990
1800pmswiki:
180112761
180212187
1803pnbwiki:
180411700
180510463
1806pnbwiktionary:
18073
18080
1809pntwiki:
1810717
1811693
1812projectcomwiki:
18130
18140
1815pswiki:
18164818
18174162
1818pswikibooks:
18190
18200
1821pswiktionary:
182214
18230
1824ptwikibooks:
18251382
1826488
1827ptwikimedia:
182821
18290
1830ptwikinews:
18317637
18321801
1833ptwikiquote:
18343051
18352799
1836ptwikisource:
18372795
18382230
1839ptwikiversity:
1840662
1841236
1842ptwikivoyage:
18438051
18447357
1845ptwiktionary:
184616395
18470
1848qualitywiki:
18490
18500
1851quwiki:
18527365
18537018
1854quwikibooks:
18550
18560
1857quwikiquote:
18580
18590
1860quwiktionary:
18613
18620
1863readerfeedback_labswikimedia:
18640
1865rel13testwiki:
18667
1867rmwiki:
18681552
18691384
1870rmwikibooks:
18710
18720
1873rmwiktionary:
18740
18750
1876rmywiki:
1877591
1878568
1879rnwiki:
1880540
1881486
1882rnwiktionary:
18830
18840
1885roa_rupwiki:
1886966
1887945
1888roa_rupwiktionary:
18893
18900
1891roa_tarawiki:
189216401
189316243
1894rowikibooks:
1895242
1896205
1897rowikinews:
1898325
1899290
1900rowikiquote:
1901352
1902343
1903rowikisource:
1904366
1905218
1906rowikivoyage:
19071141
19081122
1909rowiktionary:
1910464
19110
1912rswikimedia:
191355
19140
1915ru_sibwiki:
19164503
1917ruewiki:
19185170
19193244
1920ruwikibooks:
19211190
1922533
1923ruwikimedia:
19242406
19250
1926ruwikinews:
192729292
192812897
1929ruwikiquote:
193021622
193119360
1932ruwikisource:
1933414527
1934343482
1935ruwikiversity:
19361263
1937144
1938ruwikivoyage:
193926535
19408034
1941ruwiktionary:
1942111863
19430
1944rwwiki:
19451453
19461424
1947rwwiktionary:
19484
19490
1950sahwiki:
19515551
19525279
1953sahwikisource:
195445
195513
1956sawiki:
19576574
19585317
1959sawikibooks:
196013
196112
1962sawikiquote:
1963146
196426
1965sawikisource:
19666338
196727
1968sawiktionary:
196919
19700
1971scnwiki:
197212940
19739549
1974scnwiktionary:
197539
19760
1977scowiki:
197858678
197952960
1980scwiki:
19814778
19824714
1983scwiktionary:
19840
19850
1986sdwiki:
19873830
19882816
1989sdwikinews:
19900
19910
1992sdwiktionary:
19936
19940
1995searchcomwiki:
19960
19970
1998sep11wiki:
19993108
2000sewiki:
20015930
20024940
2003sewikibooks:
20040
20050
2006sewikimedia:
2007238
20080
2009sgwiki:
2010367
2011352
2012sgwiktionary:
20139
20140
2015shwiki:
201656470
201747459
2018shwiktionary:
201933
20200
2021simplewiki:
202295802
202357841
2024simplewikibooks:
20250
20260
2027simplewikiquote:
20281
20290
2030simplewiktionary:
2031395
20320
2033siwiki:
203410170
20355887
2036siwikibooks:
203774
203854
2039siwiktionary:
2040212
20410
2042skwiki:
2043142570
2044125121
2045skwikibooks:
2046107
204771
2048skwikiquote:
20491897
20501845
2051skwikisource:
2052196
2053104
2054skwiktionary:
20551907
20560
2057slwiki:
2058560465
2059537551
2060slwikibooks:
2061289
206278
2063slwikiquote:
2064937
2065875
2066slwikisource:
20671993
20681151
2069slwikiversity:
2070688
2071102
2072slwiktionary:
207334
20740
2075smwiki:
2076995
2077772
2078smwiktionary:
207915
20800
2081snwiki:
20821775
20831485
2084snwiktionary:
20850
20860
2087sourceswiki:
208811126
20890
2090sowiki:
20916227
20924964
2093sowiktionary:
20944
20950
2096spcomwiki:
20970
20980
2099specieswiki:
210074131
210132494
2102sqwiki:
210344370
210428476
2105sqwikibooks:
2106205
2107138
2108sqwikinews:
2109252
2110247
2111sqwikiquote:
2112161
2113135
2114sqwiktionary:
211588
21160
2117srnwiki:
2118782
2119770
2120srwiki:
2121388221
2122189409
2123srwikibooks:
212478
212574
2126srwikinews:
21271523
21281512
2129srwikiquote:
2130321
2131310
2132srwikisource:
2133646
2134320
2135srwiktionary:
2136150
21370
2138sswiki:
2139512
2140496
2141sswiktionary:
21424
21430
2144stewardwiki:
214550
21460
2147stqwiki:
21482234
21492147
2150strategyappswiki:
21511964
2152strategywiki:
21534
21540
2155stwiki:
2156560
2157531
2158stwiktionary:
21595
21600
2161suwiki:
216210503
21636360
2164suwikibooks:
21650
21660
2167suwikiquote:
2168376
216942
2170suwiktionary:
217111
21720
2173svwikibooks:
2174305
2175159
2176svwikinews:
2177931
2178855
2179svwikiquote:
2180621
2181567
2182svwikisource:
21833301
2184821
2185svwikiversity:
2186308
218759
2188svwikivoyage:
21895053
21904929
2191svwiktionary:
219229414
21930
2194swwiki:
219519908
219613230
2197swwikibooks:
21980
21990
2200swwiktionary:
220116
22020
2203szlwiki:
22044150
22053751
2206tawiki:
220761664
220844332
2209tawikibooks:
2210131
2211117
2212tawikinews:
22131048
22141028
2215tawikiquote:
2216361
2217356
2218tawikisource:
22194328
2220139
2221tawiktionary:
2222259
22230
2224tcywiki:
22251628
2226580
2227techconductwiki:
22280
22290
2230tenwiki:
22319
22320
2233test2wiki:
22341768
223512
2236testwiki:
22371878
223851
2239testwikidatawiki:
224014840
224118
2242tetwiki:
2243653
2244588
2245tewiki:
224634928
22479933
2248tewikibooks:
224910
22507
2251tewikiquote:
2252254
2253247
2254tewikisource:
225510828
2256190
2257tewiktionary:
22588
22590
2260tgwiki:
22612927747
22622091057
2263tgwikibooks:
226471
226568
2266tgwiktionary:
22671017
22680
2269thwikibooks:
2270449
2271244
2272thwikinews:
22730
22740
2275thwikiquote:
2276541
2277383
2278thwikisource:
2279327
2280111
2281thwiktionary:
228278322
22830
2284tiwiki:
2285531
2286498
2287tiwiktionary:
22884
22890
2290tkwiki:
22913271
22923171
2293tkwikibooks:
22940
22950
2296tkwikiquote:
22970
22980
2299tkwiktionary:
230012
23010
2302tlhwiki:
23031244
2304tlhwiktionary:
23054855
2306tlwiki:
230753844
230838141
2309tlwikibooks:
2310129
231154
2312tlwiktionary:
231353
23140
2315tnwiki:
2316368
2317351
2318tnwiktionary:
23192
23200
2321tokiponawiki:
232267
2323tokiponawikibooks:
232433
2325tokiponawikiquote:
23261821
2327tokiponawiktionary:
232811
2329towiki:
2330392
2331370
2332towiktionary:
23330
23340
2335tpiwiki:
23361238
23371147
2338tpiwiktionary:
23395
23400
2341transitionteamwiki:
23420
23430
2344trwikibooks:
2345354
2346218
2347trwikimedia:
23487
23490
2350trwikinews:
23514245
23521336
2353trwikiquote:
23542488
23551916
2356trwikisource:
23571874
2358199
2359trwiktionary:
2360202240
23610
2362tswiki:
2363714
2364547
2365tswiktionary:
23663
23670
2368ttwiki:
23691295468
23701291211
2371ttwikibooks:
237252
237350
2374ttwikiquote:
23750
23760
2377ttwiktionary:
23783
23790
2380tumwiki:
2381654
2382625
2383twwiki:
2384602
2385582
2386twwiktionary:
23870
23880
2389tyvwiki:
239018748
239118201
2392tywiki:
2393492
2394488
2395uawikimedia:
2396871
23970
2398udmwiki:
23997017
24006199
2401ugwiki:
24022019
24031988
2404ugwikibooks:
24050
24060
2407ugwikiquote:
24080
24090
2410ugwiktionary:
24116
24120
2413ukwikibooks:
2414189
2415154
2416ukwikimedia:
24176
24180
2419ukwikinews:
2420731
2421553
2422ukwikiquote:
242324441
242413871
2425ukwikisource:
24261562
24271265
2428ukwikivoyage:
24293404
24303331
2431ukwiktionary:
2432529
24330
2434urwiki:
2435128545
243685804
2437urwikibooks:
243832
243924
2440urwikiquote:
2441242
2442224
2443urwiktionary:
244416
24450
2446usabilitywiki:
24470
24480
2449uzwiki:
245076846
245165072
2452uzwikibooks:
24530
24540
2455uzwikiquote:
245630
245726
2458uzwiktionary:
245918
24600
2461vecwiki:
24625282
24634766
2464vecwikisource:
2465137
2466115
2467vecwiktionary:
246861
24690
2470vepwiki:
2471108586
2472107064
2473vewiki:
2474251
2475236
2476vewikimedia:
24770
24780
2479viwikibooks:
24804025
2481393
2482viwikiquote:
2483764
2484468
2485viwikisource:
2486799
2487722
2488viwikivoyage:
24895943
24905892
2491viwiktionary:
24921451
24930
2494vlswiki:
24953869
24963523
2497votewiki:
24980
24990
2500vowiki:
250115383
250215221
2503vowikibooks:
25040
25050
2506vowikiquote:
25070
25080
2509vowiktionary:
25105
25110
2512warwiki:
251333581
251433147
2515wawiki:
25164872
25173041
2518wawikibooks:
25190
25200
2521wawiktionary:
25224294
25230
2524wbwikimedia:
2525142
25260
2527wg_enwiki:
25280
25290
2530wikiconfig:
2531wikimania:
2532wikimania2005wiki:
25330
25340
2535wikimania2006wiki:
25360
25370
2538wikimania2007wiki:
25391
25400
2541wikimania2008wiki:
25420
25430
2544wikimania2009wiki:
25450
25460
2547wikimania2010wiki:
25480
25490
2550wikimania2011wiki:
25513
25520
2553wikimania2012wiki:
25542
25550
2556wikimania2013wiki:
25572
25580
2559wikimania2014wiki:
25607
25610
2562wikimania2015wiki:
256312
25640
2565wikimania2016wiki:
256613
25670
2568wikimania2017wiki:
2569586
25700
2571wikimania2018wiki:
257286
25730
2574wikimaniateamwiki:
2575108
25760
2577wowiki:
25781162
25791132
2580wowikiquote:
258124
258223
2583wowiktionary:
25845
25850
2586wuuwiki:
25874151
25883338
2589xalwiki:
25901677
25911623
2592xhwiki:
2593889
2594808
2595xhwikibooks:
25960
25970
2598xhwiktionary:
25990
26000
2601xmfwiki:
26027513
26036966
2604yiwiki:
26058875
26067890
2607yiwikisource:
260830
260925
2610yiwiktionary:
261113
26120
2613yowiki:
26148699
26158248
2616yowikibooks:
26170
26180
2619yowiktionary:
26200
26210
2622zawiki:
26231231
26241221
2625zawikibooks:
26260
26270
2628zawikiquote:
26290
26300
2631zawiktionary:
26320
26330
2634zeawiki:
26351768
26361690
2637zerowiki:
26381
26390
2640zh_classicalwiki:
26419418
26422790
2643zh_cnwiki:
26440
2645zh_min_nanwiki:
2646159763
264744269
2648zh_min_nanwikibooks:
26490
26500
2651zh_min_nanwikiquote:
26520
26530
2654zh_min_nanwikisource:
265535
265631
2657zh_min_nanwiktionary:
265815
26590
2660zh_twwiki:
2661zh_yuewiki:
266259871
266325000
2664zhwikibooks:
26651711
2666524
2667zhwikinews:
26682268
2669965
2670zhwikiquote:
26712230
26721137
2673zhwikisource:
267421661
26752499
2676zhwikivoyage:
267710034
26786762
2679zhwiktionary:
26804230
26810
2682zuwiki:
26831934
26841159
2685zuwikibooks:
26860
26870
2688zuwiktionary:
26899
26900

shard=s4; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock -e "SHOW DATABASES like '%wik%'" | while read db; do echo "$db: "; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock $db -e "SELECT count(*) FROM recentchanges; SELECT count(*) FROM recentchanges WHERE rc_source='wb'"; done
commonswiki: 
12997575
0
shard=s6; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock -e "SHOW DATABASES like '%wik%'" | while read db; do echo "$db: "; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock $db -e "SELECT count(*) FROM recentchanges; SELECT count(*) FROM recentchanges WHERE rc_source='wb'"; done
frwiki: 
15235641
14066986
jawiki: 
1053730
511797
ruwiki: 
1235577
0
shard=s7; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock -e "SHOW DATABASES like '%wik%'" | while read db; do echo "$db: "; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock $db -e "SELECT count(*) FROM recentchanges; SELECT count(*) FROM recentchanges WHERE rc_source='wb'"; done 
amwikimedia: 
0
0
arwiki: 
8949864
7743139
cawiki: 
8513929
8290224
eswiki: 
2012872
1183540
fawiki: 
864339
278098
frwiktionary: 
172834
0
hewiki: 
599008
322626
huwiki: 
4928600
4818039
kowiki: 
457445
201993
metawiki: 
169709
33410
rowiki: 
4451333
4404749
ukwiki: 
5870861
5530752
viwiki: 
1325166
162879

WTF, what does amwikimedia do on s7?

shard=s5; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock -e "SHOW DATABASES like '%wik%'" | while read db; do echo "$db: "; mysql -BN -A --socket=/run/mysqld/mysqld.$shard.sock $db -e "SELECT count(*) FROM recentchanges; SELECT count(*) FROM recentchanges WHERE rc_source='wb'"; done
dewiki: 
7277794
6298609
wikidatawiki: 
19585092
804676

Given the above data, I would like to disable recentchanges from wikidata (temporarily), purge and defragment on the following wikis:

bgwiki
itwiki
svwiki
zhwiki
bewiki
cewiki
dawiki
hywiki
ttwiki
frwiki
arwiki
cawiki
huwiki
rowiki
ukwiki

These will delete more than 1 million rows, and have 90%+ rcs coming from wikidatawiki.

cc @daniel @Ladsgroup @Reedy

I'm backporting a fix that would help this matter greatly, I don't know how to clean old rows but it will stop adding new entries. Would that be enough?

@Ladsgroup which fix?

@jcrespo what kind of purge do you mean? which rows are being deleted? I'm fine with temporarily disabling change prop, as long as "temporarily" isn't too long.

Also, it would be nice to have a plan for getting the data that we missed while this was disabled.

@daniel Your patch, as @Lydia_Pintscher said should be backported.

@daniel This is the exact ticket than T177772, except with less urgency; as those wikis have less traffic. That doesn't mean they are not as impacted, because being smaller comunityies they mean they generate errors in less quantity compared to ruwiki/commons.

I don't know how to clean old rows but it will stop adding new entries

I am going to clean them myself, I am only giving you a heads up.

Reedy added a comment.Oct 16 2017, 5:52 PM

Also, it would be nice to have a plan for getting the data that we missed while this was disabled.

Is there really much point? We only keep RC for a month... So with, within a month of it being re-enabled, it'll be fully populated again going forward

Given the above data, I would like to disable recentchanges from wikidata (temporarily), purge and defragment on the following wikis:

I think we should just disable it everywhere till Wikidata confirm it's fixed. That way you're not just repeatedly chasing and fixing up the same issue

Elitre added a subscriber: Elitre.Oct 17 2017, 2:42 PM
Marostegui moved this task from In progress to Next on the DBA board.Nov 21 2017, 10:22 AM
jcrespo removed jcrespo as the assignee of this task.Nov 22 2017, 11:49 AM

With lots of changes that happened to usage tracking, now we are injecting several times smaller changes to rc table. I think this ticket should be closed. For historical reasons, this is the ratio of injected rc rows now:

bgwiki: 58%
itwiki: 17%
svwiki: 74%
zhwiki: 27%
bewiki: 66%
cewiki: 14%
dawiki: 68%
hywiki: 60%
ttwiki: 61%
frwiki: 21%
arwiki: 16%
cawiki:  46%
huwiki: 35%
rowiki: 22%
ukwiki: 27%

I don't see it as closed, this was going to be used to optimize recentchanges and contains very interesting information to see which to focus first on the comments following: T178290#3687355

Restricted Application added subscribers: Cosine02, Base. · View Herald TranscriptJul 4 2018, 5:22 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-04T05:28:07Z] <marostegui> Optimize recentchanges table on s3 codfw - this will generate lag on codfw s3 - T178290

Mentioned in SAL (#wikimedia-operations) [2018-07-04T05:34:08Z] <marostegui> Optimize recentchanges table on s3 eqiad, host by host T178290

Mentioned in SAL (#wikimedia-operations) [2018-07-04T06:03:36Z] <marostegui> Optimize recentchanges table on s7 codfw - this will generate lag on codfw s7 - T178290

Mentioned in SAL (#wikimedia-operations) [2018-07-04T08:19:31Z] <marostegui> Optimize recentchanges table on s6 codfw - this will generate lag on codfw s6 - T178290

Mentioned in SAL (#wikimedia-operations) [2018-07-04T09:03:47Z] <marostegui> Optimize recentchanges table on s2 codfw - this will generate lag on codfw s2 - T178290

Marostegui closed this task as Resolved.Jul 4 2018, 10:39 AM
Marostegui updated the task description. (Show Details)

I have optimized and defragmented all the proposed wikis on T178290#3687355 on both eqiad and codfw. I am considering this fixed for now.